Bug 830514 - [RESTAPI] RSDL should define body as optional where it is such
[RESTAPI] RSDL should define body as optional where it is such
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Ori Liel
Elena
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 06:04 EDT by Elena
Modified: 2016-02-10 14:25 EST (History)
9 users (show)

See Also:
Fixed In Version: si13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena 2012-06-10 06:04:30 EDT
response = vm_disk.delete()

TypeError: delete() takes at least 2 arguments (1 given)

This action is possible in rest without providing any delete body.
Comment 1 Elena 2012-07-01 06:30:36 EDT
Should check in si9 when added implementation in sdk code generator
Comment 2 Elena 2012-08-08 09:52:16 EDT
si13, rhevm-sdk-3.1.0.5-1.el6ev.noarch: same problem
disk.delete()
TypeError: delete() takes at least 2 arguments (1 given)
Comment 3 Michael Pasternak 2012-08-15 03:06:01 EDT
fixed in sdk: 3.1.0.6
Comment 4 Elena 2012-08-27 01:27:23 EDT
Verified in 3.1.0.6

Note You need to log in before you can comment on or make changes to this bug.